__constant sampler_t imageSampler = CLK_NORMALIZED_COORDS_FALSE | CLK_ADDRESS_NONE | CLK_FILTER_LINEAR;
 

__kernel void sampleKernel(__global uint *output, int sizeX, int sizeY, __global const float *a, __global const float *b, __global float *c, __read_only image3d_t volume, int zIndex)
{
    int2 coord = (int2)(get_global_id(0), get_global_id(1));

            float4 temp = read_imagef(volume, imageSampler, (float4)(coord.x, coord.y, zIndex, 1));

            int rp = temp.x;
            int gp = temp.y;
            int bp = temp.z;

            int rgb = (rp << 16) | (gp <<  8) | (bp <<  0);

            output[coord.y*sizeX+coord.x] = rgb;
    
    

};