/**
* Returns the int RGBA value for the given float4
*/
uint rgbaFloatToInt(float4 rgba)
{
    rgba.x = clamp(rgba.x,0.0f,1.0f);  
    rgba.y = clamp(rgba.y,0.0f,1.0f);  
    rgba.z = clamp(rgba.z,0.0f,1.0f);  
    rgba.w = clamp(rgba.w,0.0f,1.0f);  
    return ((uint)(rgba.w*255.0f)<<24) | ((uint)(rgba.z*255.0f)<<16) | ((uint)(rgba.y*255.0f)<<8) | (uint)(rgba.x*255.0f);
} //end of rgbaFloatToInt function

/**
* Main kernel function.  Takes pArray and maxValue and copies the clamped, normalized values to pixels.
*/
__kernel void statistics(int imageWidth, int imageHeight, __global float *maxValue, __global float *input)
{
    float maxP = 0;

    int size = imageHeight * imageWidth;

    for(int i = 0; i < size; i++)
    {
        maxP = max(input[i], maxP);
    }

    maxValue[0] = maxP;
   
};


